## org.apache.catalina.mbeans
Class NamingResourcesMBean

    java.lang.Object
      org.apache.commons.modeler.BaseModelMBean
          org.apache.catalina.mbeans.NamingResourcesMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

public class NamingResourcesMBean
extends org.apache.commons.modeler.BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.deploy.NamingResources` component.

Version:
  $Revision: 1.12 $ $Date: 2004/08/26 21:36:08 $
Author:
  Amy Roh

Field Summary
`protected org.apache.commons.modeler.ManagedBean` `managed` The `ManagedBean` information describing this MBean.
`protected org.apache.commons.modeler.Registry` `registry` The configuration information registry for our managed beans.

Fields inherited from class org.apache.commons.modeler.BaseModelMBean
`attributeBroadcaster, attributes, generalBroadcaster, info, oname, resource, resourceType, source`

Constructor Summary
`NamingResourcesMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`java.lang.String` `addEnvironment(java.lang.String envName, java.lang.String type, java.lang.String value)` Add an environment entry for this web application.
`java.lang.String` `addResource(java.lang.String resourceName, java.lang.String type)` Add a resource reference for this web application.
`java.lang.String` `addResourceLink(java.lang.String resourceLinkName, java.lang.String type, java.lang.String global)` Add a resource link reference for this web application.
`java.lang.String[]` `getEnvironments()` Return the MBean Names of the set of defined environment entries for this web application
`java.lang.String[]` `getResourceLinks()` Return the MBean Names of all the defined resource link references for this application.
`java.lang.String[]` `getResources()` Return the MBean Names of all the defined resource references for this application.
`void` `removeEnvironment(java.lang.String envName)` Remove any environment entry with the specified name.
`void` `removeResource(java.lang.String resourceName)` Remove any resource reference with the specified name.
`void` `removeResourceLink(java.lang.String resourceLinkName)` Remove any resource link reference with the specified name.

Methods inherited from class org.apache.commons.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, createDefaultModelMBeanInfo, createResource, getAttribute, getAttributes, getClassName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, getRegistry, initModelInfo, invoke, isModelMBeanInfoValid, load, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedResource, setModeledType, setModelMBeanInfo, setRegistry, store, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### registry

    protected org.apache.commons.modeler.Registry registry

  The configuration information registry for our managed beans.

### managed

    protected org.apache.commons.modeler.ManagedBean managed

  The `ManagedBean` information describing this MBean.

Constructor Detail

### NamingResourcesMBean

    public NamingResourcesMBean()
                         throws javax.management.MBeanException,
                                javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `javax.management.MBeanException` - if the initializer of an object throws an exception
  `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### getEnvironments

    public java.lang.String[] getEnvironments()

  Return the MBean Names of the set of defined environment entries for this web application

### getResources

    public java.lang.String[] getResources()

  Return the MBean Names of all the defined resource references for this application.

### getResourceLinks

    public java.lang.String[] getResourceLinks()

  Return the MBean Names of all the defined resource link references for this application.

### addEnvironment

    public java.lang.String addEnvironment(java.lang.String envName,
                                           java.lang.String type,
                                           java.lang.String value)
                                    throws javax.management.MalformedObjectNameException

  Add an environment entry for this web application.

  Parameters:
    `envName` - New environment entry name
    `type` - The type of the new environment entry
    `value` - The value of the new environment entry
  Throws:
    `javax.management.MalformedObjectNameException`

### addResource

    public java.lang.String addResource(java.lang.String resourceName,
                                        java.lang.String type)
                                 throws javax.management.MalformedObjectNameException

  Add a resource reference for this web application.

  Parameters:
    `resourceName` - New resource reference name
    `type` - New resource reference type
  Throws:
    `javax.management.MalformedObjectNameException`

### addResourceLink

    public java.lang.String addResourceLink(java.lang.String resourceLinkName,
                                            java.lang.String type,
                                            java.lang.String global)
                                     throws javax.management.MalformedObjectNameException

  Add a resource link reference for this web application.

  Parameters:
    `global` - New resource link reference global name
    `resourceLinkName` - New resource link reference name
    `type` - New resource link reference type
  Throws:
    `javax.management.MalformedObjectNameException`

### removeEnvironment

    public void removeEnvironment(java.lang.String envName)

  Remove any environment entry with the specified name.

### removeResource

    public void removeResource(java.lang.String resourceName)

  Remove any resource reference with the specified name.

  Parameters:
    `resourceName` - Name of the resource reference to remove

### removeResourceLink

    public void removeResourceLink(java.lang.String resourceLinkName)

  Remove any resource link reference with the specified name.

  Parameters:
    `resourceLinkName` - Name of the resource link reference to remove

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.